<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-role-checker [allowedRoles]="[admin, nodeOperator]">
  <ng-template let-authorized>
    <div class="flex gap-4 items-center">
      <p-tag [severity]="severity" [value]="status"></p-tag>
      <div *ngIf="isExigentContract" class="flex flex-col gap-3 items-start">
        <div class="flex items-center gap-2">
          <div class="relative">
            <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
            <div class="rounded-full bg-yellow size-2" [ngClass]="{ 'opacity-60': !authorized }"></div>
          </div>
        </div>
        <app-info *ngIf="!authorized" message="Insufficient role to take action."></app-info>
      </div>
    </div>
  </ng-template>
</app-role-checker>
